Subject: bug#27193: 25.2; tmm should use completing-read-default

From: Dmitry Gutov <[email-masked]>
Date: Sat, 3 Jun 2017 00:37:00 +0300

On 6/3/17 12:25 AM, Drew Adams wrote:

> The case that needs to be made for your proposal is really (IMO) that 
> there are /NO/ values of `completing-read-function', apart from 
> `completing-read-default', which would be compatible with the tmm code.

That would be too strong.

> I don't think you can make that case. I sense you are extrapolating from 
> your own particular use of `completing-read-function' (and similar uses).

This is ridiculous. If there are functions that adhere to the contract 
of completing-read-function, and tmm can't work with them, tmm should 
use completing-read-default, and that's that.

I'll install the submitted patch in a few days if someone doesn't beat 
me to it.

> The result is not even recognizable as completing-read.
> 
> I don't think so. Certainly no more unrecognizable than Ido...

You are mixing up concepts right and left. E.g. APIs with their callers.